#ifndef INCLUDED_phoenix_UniformValueType
#define INCLUDED_phoenix_UniformValueType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS1(phoenix,UniformValueType)
namespace phoenix{


class UniformValueType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef UniformValueType_obj OBJ_;

	public:
		UniformValueType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("phoenix.UniformValueType"); }
		::String __ToString() const { return HX_CSTRING("UniformValueType.") + tag; }

		static ::phoenix::UniformValueType color;
		static inline ::phoenix::UniformValueType color_dyn() { return color; }
		static ::phoenix::UniformValueType _float;
		static inline ::phoenix::UniformValueType _float_dyn() { return _float; }
		static ::phoenix::UniformValueType _int;
		static inline ::phoenix::UniformValueType _int_dyn() { return _int; }
		static ::phoenix::UniformValueType texture;
		static inline ::phoenix::UniformValueType texture_dyn() { return texture; }
		static ::phoenix::UniformValueType unknown;
		static inline ::phoenix::UniformValueType unknown_dyn() { return unknown; }
		static ::phoenix::UniformValueType vector2;
		static inline ::phoenix::UniformValueType vector2_dyn() { return vector2; }
		static ::phoenix::UniformValueType vector3;
		static inline ::phoenix::UniformValueType vector3_dyn() { return vector3; }
		static ::phoenix::UniformValueType vector4;
		static inline ::phoenix::UniformValueType vector4_dyn() { return vector4; }
};

} // end namespace phoenix

#endif /* INCLUDED_phoenix_UniformValueType */ 
